<template>
	<section class="settings_main">
		<div class="p-3 w-100">
			<div class="settings_content_inr base_block">
				<div class="settings_panel p-3">
					<div class="settings_panel_ttl">
						<div class="txt">{{ $store.state.locale.category }} FAQ</div>
						<button type="button" class="login_main_sign_btn bt" data-toggle="modal" data-target="#modalInfo" @click="resetForm(); actionType = 1; isFaq = false"
								v-if="can('settings_faqCategory', 'Edit')">
							{{ $store.state.locale.add }}
						</button>
					</div>

					<div class="settings_panel_cnt">
						<div class="table-responsive settings_content_tb">
							<table class="table table-striped table-hover">
								<thead>
								<tr>
									<th>Id</th>
									<th>Name</th>
									<!--<th>{{ $store.state.locale.organization }}</th>-->
									<th class="w-40"></th>
								</tr>
								</thead>

								<tbody>
								<tr v-for="(item, key) in modelList" v-if="modelList">
									<td>{{ key + 1 }}</td>
									<td>{{ item.name }}</td>
									<!--<td>{{ orgList.find(x => x.id === item.orgId) ? orgList.find(x => x.id === item.orgId).name : '-&#45;&#45;' }}</td>-->

									<td v-if="can('settings_faqCategory', 'Edit')">
										<div class="btn-group">
											<button type="button" class="icon-btn" @click="getByCategory(item.id)">
												<i class="mdi mdi-eye"></i>
											</button>
											<button type="button" class="icon-btn" data-toggle="modal" data-target="#modalInfo" @click="readCategory(item.id); isFaq = false">
												<i class="mdi mdi-pencil"></i>
											</button>
											<button type="button" class="icon-btn" @click="deleteCategroy(item.id)">
												<i class="mdi mdi-delete text-danger"></i>
											</button>
										</div>
									</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>

			<div class="settings_content_inr base_block" style="margin-top: 20px;" v-if="isShown">
				<div class="settings_panel p-3">
					<div class="settings_panel_ttl">
						<div class="txt">FAQ</div>
						<button type="button" class="login_main_sign_btn bt" data-toggle="modal" data-target="#modalInfo" @click="resetForm(); isFaq = true; actionType = 1"
								v-if="can('settings_faqCategory', 'Edit')">
							{{ $store.state.locale.add }}
						</button>
					</div>

					<div class="settings_panel_cnt">
						<div class="table-responsive settings_content_tb">
							<table class="table table-striped table-hover">
								<thead>
								<tr>
									<th>Id</th>
									<th>{{$store.state.locale.theme}}</th>
									<th>{{$store.state.locale.question}}</th>
									<th>{{$store.state.locale.answer}}</th>
									<!--<th>{{ $store.state.locale.organization }}</th>-->
									<th class="w-40"></th>
								</tr>
								</thead>

								<tbody>
								<tr v-for="(item, key) in faqList" v-if="faqList">
									<td>{{ key + 1 }}</td>
									<td>{{ item.theme }}</td>
									<td>{{ item.question }}</td>
									<td>{{ item.answer }}</td>
									<!--<td>{{ orgList.find(x => x.id === item.orgId) ? orgList.find(x => x.id === item.orgId).name : '-&#45;&#45;' }}</td>-->

									<td v-if="can('settings_faqCategory', 'Edit')">
										<div class="btn-group">
											<button type="button" class="icon-btn" data-toggle="modal" data-target="#modalInfo" @click="readFaq(item.id); isFaq= true">
												<i class="mdi mdi-pencil"></i>
											</button>
											<button type="button" class="icon-btn" @click="deleteFaq(item.id)">
												<i class="mdi mdi-delete text-danger"></i>
											</button>
										</div>
									</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>


			<div class="modal fade base_modal" id="modalInfo">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<div class="base_modal_ttl">{{ $store.state.locale.add }}</div>
						</div>

						<div class="modal-body">
							<form @submit.prevent="">
								<div class="form-group" v-if="!isFaq">
									<label class="base_label">Name</label>
									<input type="text" class="form-control base_input spinner" v-model="request.name" required>
								</div>
								<div class="form-group" v-if="isFaq">
									<label class="base_label">{{$store.state.locale.theme}}</label>
									<input type="text" class="form-control base_input spinner" v-model="faqRequest.theme" required>
								</div>
								<div class="form-group" v-if="isFaq">
									<label class="base_label">{{$store.state.locale.question}}</label>
									<input type="text" class="form-control base_input spinner" v-model="faqRequest.question" required>
								</div>
								<div class="form-group" v-if="isFaq">
									<label class="base_label">{{$store.state.locale.answer}}</label>
									<input type="text" class="form-control base_input spinner" v-model="faqRequest.answer" required>
								</div>
								<div>
									<button type="submit" class="login_main_sign_btn base_modal_btn" @click="addCategory" v-if="actionType === 1 && isFaq !== true">
										{{$store.state.locale.add}}
									</button>
									<button type="submit" class="login_main_sign_btn base_modal_btn" @click="addFaq" v-if="actionType === 1 && isFaq === true">
										{{$store.state.locale.add}}
									</button>
									<button type="submit" class="login_main_sign_btn base_modal_btn success" @click="updateCategory" v-if="actionType === 2 && isFaq !== true">
										{{$store.state.locale.update}}
									</button>
									<button type="submit" class="login_main_sign_btn base_modal_btn success" @click="updateFaq" v-if="actionType === 2 && isFaq === true">
										{{$store.state.locale.update}}
									</button>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>


		</div>
	</section>
</template>

<script src="./script.js">

</script>

<style scoped>

</style>